## collectd 5.11.0

=== debian/changelog ===
collectd (5.11.0-7~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

  * [e4140c4] Revert "Disable nut plugin for now."
    This reverts commit 8846b4564bfca329542c8a2567e46e1b28448094.
  * [110076e] Revert "Mention migration to Python3 in debian/NEWS"
    This reverts commit 5f21e0e75ccc9ac33f53e5c9a4f715f91e3f8f28.
  * [9aa130a] Revert "Migrate to python3"
    This reverts commit e4535ac1ba4c98e3b42c954d13dee80c658d17f4.
  * [ec0fbe3] Disable intel_rdt for backports.
    Plugin/tests don't build.
  * [073a32f] build for stretch-backports-sloppy
  * [3c116bf] Revert "Mention amqp1 output plugin in description."
    This reverts commit 21de403ca753d5e6377342f1b302dcee325a744f.
  * [39f7901] Revert "Build-depend on libqpid-proton11-dev"
    This reverts commit fbc4f9827d5a78fb5d310e45a75f9463a7d16c16.
  * [37c52b5] Disable barometer plugin.
    libi2c is too old in stretch.
  * [c896de9] Disable ipmi, write_mongodb, write_stackdriver, amqp1.
    Dependencies are missing in stretch
  * [e29c0c4] Revert "Remove build-dependency on libiptc-dev."
    This reverts commit 8cfb32dae0284d5caaf0d891164e84b0c66da566.
  * [ac44b5c] Revert "Depend on libsensors-dev"
    This reverts commit db2ffff037a151926bc03bcc2636986a0175336a.
  * [d04b21b] Revert "Move to debhelper 10"
    This reverts commit c15ecdcbcd11c497c2706fde8b5b3541764b3a33.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 04 Aug 2020 16:26:27 +0200

collectd (5.11.0-7) unstable; urgency=medium

  * [d6feaf3] Fix arch list for protobuf-compiler-grpc.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 28 Jul 2020 11:21:09 +0200

collectd (5.11.0-6) unstable; urgency=medium

  * [fc03f74] Disable grpc on non release architectures.
    This should allow collectd to build on many more architectures again.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 28 Jul 2020 10:45:54 +0200

collectd (5.11.0-5) unstable; urgency=medium

  * [a7f46fb] Merge branch 'lintian-fixes' into 'master'
    Fix some issues reported by lintian
    See merge request debian/pkg-collectd!4
  * [f5943cf] Pass LDFLAGS and friends via environment.
    configure ignores them otherwise
  * [a5060c6] Remove --disable-lvm.
    Plugin was removed

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 24 Jul 2020 23:37:47 +0200

collectd (5.11.0-4) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [ee00bbb] Fix FTBFS with new libmicrohttp (Closes: #964593)

  [ Antonio Russo ]
  * [253f1e6] Fix FTBFS: disable gmond (ganglia)

  [ Bernd Zeimetz ]
  * [66162b0] remove old comments from d/control
  * [83daeea] Refresh patch.
    dpkg doen't handle it properly when the same file is changed more than
    once in one patch.
  * [1012b25] microhttpd-api-change: also fix write_prometheus
  * [e1675c6] Fix return type
  * [f16bc34] Link -latmomic on armel mips mipsel powerpc.
    Workaround for grpc.
  * [67aa668] pass CXXFLAGS to configure

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 24 Jul 2020 11:27:30 +0200

collectd (5.11.0-3) unstable; urgency=medium

  * [569deaf] grpc is now available on all release architectures.
    Thanks to Adrian Bunk (Closes: #961369)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 23 May 2020 21:08:22 +0200

collectd (5.11.0-2) unstable; urgency=medium

  * [735fbed] Disable intel-only features on !intel platforms

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 29 Mar 2020 13:49:28 +0200

collectd (5.11.0-1) unstable; urgency=medium

  * [2cba96b] Update upstream source from tag 'upstream/5.11.0'
    Update to upstream version '5.11.0'
    with Debian dir d4444dcbc14a8003be999896b12c2e077063b13e
    Seems to fix python module linking issues (Closes: #953953).
  * [8bc0973] Refreshing patches
  * [8fb1fbf] Updating changelog
  * [4cd0893] Build-depend on libslurm-dev
  * [e7082d8] Disable modules we can't build

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 28 Mar 2020 23:16:47 +0100

collectd (5.10.0-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [53d9fa8] Ignore blhc/reprotest failures
  * [72c2520] Add comment about write_stackdriver to pkg desc.
  * [2da2cdd] Drop collectd-dbg package.
    Use automatically generated dbg packages instead.

  [ Christian Ehrhardt ]
  * [2e4471c] - debian/rules: Work around FTBFS with glibc 2.30 with -Wno-cpp.
  * [de8e965] - debian/rules: Work around FTBFS with gcc9 -Wno-error=format-truncation on ppc64.

  [ Antonio Russo ]
  * [c15ecdc] Move to debhelper 10.
    In alignment with the move to dbgsym, use debhelper 10.
  * [1926a15] Remove build-dependency on iptables-dev.
    Closes: #951088.
  * [b29dff9] Correct path in lintian override
  * [8cfb32d] Remove build-dependency on libiptc-dev.
  * [5357523] Correct path in lintian override
  * [450186c] Release 5.9.2.g-2

  [ Bernd Zeimetz ]
  * [baa5acf] New upstream version 5.10.0
  * [016a310] Updating changelog
  * [7ee0170] Change dependency ordering for libiptc-dev
  * [ed45d82] remove extra /* from jvm override
  * [db2ffff] Depend on libsensors-dev.
    Thanks to Aurelien Jarno (Closes: #917435)
  * [8409ccd] Don't suggest icinga.
    Thanks to Bas Couwenberg (Closes: #933256)
  * [d22c27d] libcollectdclient1: suggest collectd, don't recommend.
    Thanks to Bernhard Schmidt (Closes: #933296)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 07 Mar 2020 01:11:08 +0100
