=== debian/rules ===
#! /usr/bin/make -f
# debian/rules for collectd
#
# Written by Sebastian Harl <tokkee@debian.org>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CPPFLAGS += -I$(CURDIR)/debian/include
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall -Wno-error=deprecated-declarations
CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
CXXFLAGS += -Wall -Wno-error=deprecated-declarations

TEST_GCC_VER_9 := $(shell expr `$(CC) -dumpversion | cut -f1 -d.` \>= 9)
ifeq ($(TEST_GCC_VER_9),1)
  CFLAGS += -Wno-error=address-of-packed-member -Wno-stringop-truncation -Wno-cpp -Wno-error=format-truncation
endif

# Upstream defaults to ${sysconfdir}/collectd.conf. Setting ${sysconfdir} to
# /etc/collectd would be wrong though.
CPPFLAGS += -UCONFIGFILE
CPPFLAGS += -DCONFIGFILE='\"/etc/collectd/collectd.conf\"'

# A PostgreSQL header redefines CACHE_LINE_SIZE on FreeBSD.
# Cf. https://bugs.debian.org/760719 and https://bugs.debian.org/763098
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	CPPFLAGS += -Wp,-w
endif

LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

# grpc workaround
ifneq (,$(filter $(DEB_HOST_ARCH), armel mips mipsel powerpc))
  LDFLAGS += -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

# The archdir map has been copied from openjdk-6's debian/rules.
JAVA_ARCHDIR = $(shell /usr/share/javahelper/java-arch.sh $(DEB_BUILD_ARCH))
ifeq (,$(JAVA_ARCHDIR))
	JAVA_ARCHDIR = $(DEB_BUILD_ARCH)
endif
JAVA_HOME = /usr/lib/jvm/default-java
JAVA_LIBDIR = $(JAVA_HOME)/jre/lib/$(JAVA_ARCHDIR)/server

JAVAC = $(JAVA_HOME)/bin/javac
JAR = $(JAVA_HOME)/bin/jar
JAVA_CPPFLAGS = -I$(JAVA_HOME)/include
JAVA_LDFLAGS = -L$(JAVA_LIBDIR) -Wl,-rpath -Wl,$(JAVA_LIBDIR)

confflags = --host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--localstatedir=/var --sysconfdir=/etc \
			--with-perl-bindings="INSTALLDIRS=vendor INSTALL_BASE=" \
			--without-libstatgrab \
			--disable-static \
			--disable-silent-rules \
			--enable-all-plugins

# These plugins do not provide any functionality under Linux.
# MacOS only (requires IO Kit):
confflags += --disable-apple_sensors
# AIX only (requires perfstat):
confflags += --disable-lpar
# Solaris only (requires devinfo and kstat)
confflags += --disable-tape

# libi2c is not current enough in stretch
confflags += --disable-barometer

# openipmis is too old on stretch
confflags += --disable-ipmi

# more missing dependencies on stretch
confflags += --disable-amqp1
confflags += --disable-write_mongodb
confflags += --disable-write_stackdriver

# --enable-intel_rdt doesn't work in buster
confflags += --disable-intel_rdt

# redfish.h is missing
confflags += --disable-redfish

# pmw_api.h is missing
confflags += --disable-dcpmm

# libaquaero5 is required for the aquaero plugin
confflags += --disable-aquaero

# libjevents is required for the intel_pmu plugin
confflags += --disable-intel_pmu

# libmic is required for the mic plugin
confflags += --disable-mic

# libnetapp is required for the netapp plugin.
confflags += --disable-netapp

# libclntsh is required for the oracle plugin.
confflags += --disable-oracle

# librouteros is required for the routeros plugin.
confflags += --disable-routeros

# xmms1 is required for the xmms plugin.
confflags += --disable-xmms

# libslurm doesn't have a pkg-config file in Debian
confflags += --disable-slurm

# libsigrok4 incompatible with the plugin.
# Cf. https://github.com/collectd/collectd/issues/1574
confflags += --disable-sigrok

# libnvidia-ml is non-free
confflags += --disable-gpu_nvidia



# ganglia FTBS, disable it for now
# see #964399
confflags += --disable-gmond

# These plugins are Linux-specific.
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	confflags += \
		--disable-barometer \
		--disable-cgroups \
		--disable-cpusleep \
		--disable-drbd \
		--disable-ethstat \
		--disable-fhcount \
		--disable-hugepages \
		--disable-ipc \
		--disable-iptables \
		--disable-ipvs \
		--disable-madwifi \
		--disable-md \
		--disable-netlink \
		--disable-numa \
		--disable-sensors \
		--disable-vserver
endif

# These plugins art FreeBSD-specific.
ifneq ($(DEB_HOST_ARCH_OS),kfreebsd)
	confflags += \
		--disable-pf \
		--disable-ipstats
endif


# intel only stuff
# not available on stretch
#ifeq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
    confflags += --disable-capabilities
    confflags += --disable-dpdk_telemetry
#endif



# This plugin is Solaris-specific.
confflags += \
		--disable-zone

# These plugins have not been ported to FreeBSD yet.
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	# Work-around an incomplete check for kvm functionality
	CPPFLAGS  += -DHAVE_STRUCT_KINFO_PROC_FREEBSD
	confflags += --enable-processes=force

	confflags += \
		--disable-battery \
		--disable-conntrack \
		--disable-contextswitch \
		--disable-cpufreq \
		--disable-entropy \
		--disable-fscache \
		--disable-irq \
		--disable-nfs \
		--disable-protocols \
		--disable-serial \
		--disable-synproxy \
		--disable-thermal \
		--disable-vmem \
		--disable-wireless
endif

# Build-dependencies of these plugins are (not yet) available for kfreebsd.
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	confflags += \
		--disable-gmond \
		--disable-virt \
		--disable-tokyotyrant \
		--disable-java
endif

# These plugins are Intel-hardware specific.
ifeq (,$(filter amd64 i386, $(DEB_HOST_ARCH)))
	confflags += \
		--disable-dpdkevents \
		--disable-dpdkstat \
		--disable-intel_pmu \
		--disable-intel_rdt \
		--disable-mcelog \
		--disable-mic \
		--disable-turbostat
endif

# the pcie_errors plugin does not work on all kinds of hardware
ifeq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el, $(DEB_HOST_ARCH)))
	confflags += \
		--disable-pcie_errors
endif

# This plugin is x86 and arm specific.
ifeq (,$(filter amd64 arm64 armhf i386, $(DEB_HOST_ARCH)))
	confflags += \
		--disable-xencpu
endif

# libatasmart isn't available on these platforms.
ifneq (,$(filter hurd kfreebsd,$(DEB_HOST_ARCH_OS)))
	confflags += --disable-smart
endif

# The hppa buildds currently do not keep up with Java related stuff, thus
# prevending testing transitions. sparc is also having trouble building the
# java plugin.
ifneq (,$(filter hppa sparc, $(DEB_HOST_ARCH)))
	confflags += --disable-java
endif

# gRPC is only available on x86, arm, ppc.
ifeq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x, $(DEB_HOST_ARCH)))
	confflags += --disable-grpc
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	
	dh_autoreconf
	
	CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	JAVAC="$(JAVAC)" JAR="$(JAR)" JAVA_CPPFLAGS="$(JAVA_CPPFLAGS)" \
	JAVA_LDFLAGS="$(JAVA_LDFLAGS)" \
	./configure $(confflags) \
		|| ( status=$$?; cat config.log; exit $$status )

	$(MAKE)
	dh_auto_test
	perl ./debian/bin/check_plugins.pl
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	[ ! -f Makefile ] || $(MAKE) distclean
	
	rm -f debian/README.Debian.plugins
	rm -f src/*.1 src/*.5
	
	rm -rf debian/pkgconfig
	
	dh_autoreconf_clean
	dh_clean
	debconf-updatepo

install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i
	dh_install -i
	
	# update include path for collectd header files
	(	set -e; \
		cd $(CURDIR)/debian/collectd-dev/usr/include/collectd/; \
		for lib in $$(find . -type f -name '*.h'); do \
			libname=$$(basename $$lib); \
			fullpath=$$(echo $$lib | sed -r -e 's,^\./,collectd/,'); \
			for dir in $$(find . -mindepth 1 -type d); do \
				sed -r -i -e "s,(include\s+)\".*\<$$libname\",\1\"$$fullpath\"," $$dir/*.h; \
			done; \
		done )

install-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a
