## collectd 5.12.0

=== contrib/docker/rootfs_prefix/Makefile ===
rootfs_prefix.so: rootfs_prefix.c
	$(CC) -Wall -Werror -fPIC -shared -o rootfs_prefix.so rootfs_prefix.c -ldl
