=== debian/changelog ===
collectd (5.12.0-17.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:30:55 +0000

collectd (5.12.0-17.1build1) noble; urgency=medium

  * No-change rebuild for libtirpc t64.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 05:42:05 +0100

collectd (5.12.0-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062094

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:04:03 +0000

collectd (5.12.0-17) unstable; urgency=medium

  * [lots of commits] adding some basic autopkgtest
    - run daemon
    - get values
    - check that basic plugins work
  * [791b61a] add .gitignore to ignore swp files

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 04 Feb 2024 21:09:33 +0100

collectd (5.12.0-16) unstable; urgency=medium

  * [3d4bf71] Revert "Disable onewire until it is in testing again."
    This reverts commit c8207fc7db2cf4fd7c7d342bb28e9d9995011233.
  * [f297b98] grpc is available on loong64 powerpc ppc64 now.
  * [360495c] No mongodb on loong64
  * [b75ac03] Log dpkg-architecture -l in case of failures.
  * [a975f51] Make debug output a bit readable
  * [339ab70] Disable varnish plugin.
    Thanks to Paul Gevers (Closes: #1060776)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 04 Feb 2024 16:26:58 +0100

collectd (5.12.0-15) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [b856351] Fix lintian error:
    E: collectd-core: depends-on-obsolete-package Depends: lsb-base

  [ Samuel Thibault ]
  * [c052c93] d/control,rules: Fix arch filtering

  [ Luca Boccassi ]
  * [da43466] Disable dpdk plugin on i386
    libdpdk-dev will no longer build for i386, disable it (Closes: #1057146)

  [ Bernd Zeimetz ]
  * [451bab7] Update JAVA_LIBDIR for current openjdks
  * [48c6d15] Use include from javahelper to retrieve java directories.
  * [b8fd49c] Don't build java plugin on i368.
    Linking libjvm fails due to missing symbols in libjvm. (Closes: #1057712)
  * [e1162da] Fix copy&paste error, we check the arch, not os
  * [08c5029] Add libjansson-dev as build-dependency
    (was magically pulled in by libdpdk-dev before).

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 07 Dec 2023 15:35:28 +0100

collectd (5.12.0-14) unstable; urgency=medium

  * [aa8f170] Fix installing systemd service and init script.
    Closes: ##1031672
    Thanks to Thomas Goirand

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 20 Feb 2023 13:55:26 +0100

collectd (5.12.0-13) unstable; urgency=medium

  * [694f2c9] Revert "Disable nut plugin again."
    This reverts commit e1c67e57f96bc4ad3e85f9a7a695742d36980d64.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 27 Jan 2023 09:08:10 +0100

collectd (5.12.0-12) unstable; urgency=medium

  * [d077f5d] Add lintian override for the java plugin.
  * [6ebe59a] Remove removed debconf questions from translations
  * [0c5f9dc] collectd-core: debconfig is used in postrm only.
    Override lintian errors.
  * [6be4222] Add package name to lintian overrides
  * [bda81fa] Migrate to dh / debhelper compat 13
  * [074299d] Fix building with python 3.11 (Closes: #1028146)
  * [69e6716] Move dh_install to the appropriate place
  * [45ea76f] Use debian/tmp for header/lib updates

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 16 Jan 2023 16:54:46 +0100

collectd (5.12.0-11) unstable; urgency=medium

  [ Debian Janitor ]
  * [c8d0c73] Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on dpkg-dev, iptables-dev, libcurl4-gnutls-dev, libi2c-dev, liboping-dev, libriemann-client-dev, librrd-dev, libsnmp-dev, libvirt-dev, linux-libc-dev and protobuf-compiler.
    * collectd-core: Drop versioned constraint on collectd in Replaces.
    * collectd-utils: Drop versioned constraint on collectd in Replaces.
    * libcollectdclient-dev: Drop versioned constraint on collectd-dev in Replaces.
    * libcollectdclient-dev: Drop versioned constraint on collectd-dev in Breaks.
    Changes-By: deb-scrub-obsolete

  [ Gioele Barabucci ]
  * [7cdaece] d/collectd.postinst: Remove test for ancient version.
    Version 4.10.0-1 is older than the version in oldoldstable (5.7.1-1.1).
    The test in `postinst` has thus been redundant for a long time and
    can be removed.
  * [f4c1e6f] d/collectd-core.{config,postinst}: Remove debconf questions about ancient versions.
    Versions 3.x and 4.x are older than the version in oldoldstable (5.7.x),
    released in 2017.
    All tests connected to these debconf questions have thus been redundant
    for a long time and can be removed.
  * [1afaac8] d/watch: Update upstream URL (Closes: #964112)
    This fixes the uscan issue:
    ```
    In debian/watch no matching files for watch line
      https://github.com/collectd/collectd/tags /collectd/collectd/archive/collectd-([0-9.-]+)\.tar\.gz
    ```
    The lines are adapted the `dh-make` template.

  [ Bernd Zeimetz ]
  * [e1c67e5] Disable nut plugin again.
    Various RC bugs for a longer time, not waiting for that.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 22 Aug 2022 17:24:43 +0200

collectd (5.12.0-10) unstable; urgency=medium

  * [343f857] Don't use local variables in global pointers
    Closes: #1016187
  * [254a859] Fix building with current nut version.
  * [15098cc] Also fix local variables issue in write_prometheus

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 20 Aug 2022 22:38:49 +0200

collectd (5.12.0-9) unstable; urgency=medium

  * [577cd1f] Don't build mysql plugin on kfreebsd*
  * [335185e] Disable libvirt plugin on sh4/ia64.
    Keeping it disabled on kfreebsd*
  * [6f2a0f7] Disable barometer/i2c on hurd
  * [3f893cf] Also disable libvirt on alpha.
  * [8482e2a] Don't build the xencpu plugin on i386.
    Starting with xen version 4.16, xen is no longer built on the i386 architecture in Debian.
    Thanks to Maximilian Engelhardt <maxi@daemonizer.de> (Closes: #1006250)


