=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: collectd
 Section: utils
 Priority: optional
-Maintainer: Collectd Packaging Team <team+collectd@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Collectd Packaging Team <team+collectd@tracker.debian.org>
 Uploaders: Sebastian Harl <tokkee@debian.org>, Marc Fournier <marc@bl.uem.li>, Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 9.20160709~), dpkg-dev (>= 1.14.10), po-debconf, dh-strip-nondeterminism, dh-autoreconf,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), po-debconf, dh-strip-nondeterminism, dh-autoreconf,
  bison, flex, autotools-dev, libltdl-dev, pkg-config,
- default-libmysqlclient-dev,
+ default-libmysqlclient-dev [!kfreebsd-i386 !kfreebsd-amd64],
  intel-cmt-cat [amd64 i386],
- libiptc-dev [linux-any] | iptables-dev (>= 1.4.3.2-2) [linux-any],
+ libiptc-dev (>= 1.8.4-2) [linux-any] | libip4tc-dev [linux-any] | iptables-dev [linux-any],
+ libiptc-dev (>= 1.8.4-2) [linux-any] | libip6tc-dev [linux-any] | iptables-dev [linux-any],
  javahelper,
  kfreebsd-kernel-headers [kfreebsd-any],
  libatasmart-dev [linux-any],
  libcap-dev [linux-any],
- libcurl4-gnutls-dev (>= 7.18.2-5) | libcurl4-gnutls-dev (<= 7.18.2-1) | libcurl3-gnutls-dev,
+ libcurl4-gnutls-dev | libcurl4-gnutls-dev (<= 7.18.2-1) | libcurl3-gnutls-dev,
  libdevstat-dev [kfreebsd-any],
  libdbi0-dev,
- libdpdk-dev [amd64 i386],
+ libdpdk-dev [amd64],
  libesmtp-dev,
  libgeom-dev [kfreebsd-any],
  libgcrypt20-dev,
@@ -23,16 +25,19 @@
  libgrpc++-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  libgps-dev,
  libhiredis-dev,
+ libi2c-dev [!hurd-any],
  libkvm-dev [kfreebsd-any],
  libldap2-dev,
  liblua5.3-dev,
  libmemcached-dev,
  libmicrohttpd-dev,
+ libjansson-dev,
  libmodbus-dev,
+ libmongoc-dev [!loong64],
  libmnl-dev [linux-any],
  libnotify-dev,
  libopenipmi-dev,
- liboping-dev (>= 0.3.3),
+ liboping-dev,
  libow-dev,
  libpcap0.8-dev | libpcap-dev,
  libperl-dev,
@@ -41,31 +46,28 @@
  libprotobuf-dev,
  librabbitmq-dev,
  librdkafka-dev,
- libriemann-client-dev (>= 1.6.0),
- librrd-dev (>= 1.4~),
- libsensors4-dev [linux-any],
-# libsnmp-dev (>= 5.4.2.1~dfsg-4~) | (libsnmp-dev & perl (<< 5.10.1~rc2-1~))
- libsnmp-dev (>= 5.4.2.1~dfsg-4~) | libsnmp-dev | libsnmp9-dev,
- libsnmp-dev (>= 5.4.2.1~dfsg-4~) | perl (<< 5.10.1~rc2-1~),
- libtokyocabinet-dev [linux-any],
- libtokyotyrant-dev [linux-any],
+ libriemann-client-dev,
+ librrd-dev,
+ libsensors-dev [linux-any],
+ libsnmp-dev | libsnmp-dev | libsnmp9-dev,
+ libsnmp-dev | perl (<< 5.10.1~rc2-1~),
  libudev-dev [linux-any],
  libupsclient-dev | libupsclient1-dev,
- libvarnishapi-dev,
- libvirt-dev (>= 0.4.0-6) [linux-any],
- libxen-dev [amd64 arm64 armhf i386],
+ libvirt-dev [!kfreebsd-i386 !kfreebsd-amd64 !sh4 !ia64 !alpha],
+ libxen-dev [amd64 arm64 armhf],
  libxml2-dev,
  libyajl-dev,
- linux-libc-dev (>= 2.6.25-4) [linux-any] | linux-libc-dev (<< 2.6.25-1) [linux-any],
+ linux-libc-dev [linux-any] | linux-libc-dev (<< 2.6.25-1) [linux-any],
  default-jdk [!hppa !sparc !kfreebsd-i386 !kfreebsd-amd64],
  protobuf-c-compiler,
- protobuf-compiler (>= 3.0.0),
- protobuf-compiler-grpc [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- python-dev,
+ protobuf-compiler,
+ protobuf-compiler-grpc [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x loong64 powerpc ppc64],
+ python3-dev,
  riemann-c-client,
+ libqpid-proton11-dev,
  libmosquitto-dev,
  libslurm-dev
-Build-Conflicts: libpthread-dev, libhal-dev
+Build-Conflicts: libpthread-dev, libhal-dev, python-dev
 Standards-Version: 4.2.1
 Homepage: https://collectd.org/
 Vcs-Git: https://salsa.debian.org/debian/pkg-collectd.git
@@ -73,19 +75,18 @@
 
 Package: collectd-core
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: perl, rrdtool
 Suggests: collectd-dev,
 # collection.cgi / collection3 dependencies
  librrds-perl, liburi-perl, libhtml-parser-perl, libregexp-common-perl,
  libconfig-general-perl, httpd-cgi,
 # services providing data that may be collected by collectd
- apache2, apcupsd, bind9, ceph, chrony, default-mysql-server, gpsd, hddtemp,
+ apache2, apcupsd, bind9, ceph, chrony, default-mysql-server, gpsd,
  iptables, ipvsadm, lm-sensors, mbmon, memcached, nginx, notification-daemon,
  nut, openvpn, olsrd, pdns-server, postgresql, redis-server, slapd,
- time-daemon, varnish, zookeeper,
+ time-daemon, zookeeper,
  ${shlibs:Suggests}, default-jre-headless
-Replaces: collectd (<< 4.8.2-1~)
 Description: statistics collection and monitoring daemon (core system)
  collectd is a small daemon which collects system information periodically and
  provides mechanisms to monitor and store the values in a variety of ways.
@@ -105,9 +106,11 @@
  package.
  .
    * AMQP output plugin: amqp
+   * AMQP 1.0 output plugin: amqp1
    * Apache and lighttpd statistics provided by mod_status: apache
    * APC UPS's charge, load, input/output/battery voltage, etc.: apcups
    * Ascent server statistics: ascent
+   * Bosch and Freescale barometers: barometer
    * battery status: battery
    * bind9 name-server and zone statistics: bind
    * Ceph distributed storage system statitics: ceph
@@ -138,10 +141,11 @@
    * Monitor gps related data through gpsd: gps
    * Send or receive values over the network using the gRPC framework: grpc
    * query data from Java processes using JMX: GenericJMX (Java based plugin)
-   * harddisk temperature: hddtemp
    * Report the number of used and free hugepages: hugepages
+   * Intel Resource Director Technology statistics: intel_rdt
    * network traffic: interface
    * IPC statistics: ipc
+   * IPMI sensors information: ipmi
    * iptables statistics: iptables
    * IPVS connection statistics: ipvs
    * IRQ counters: irq
@@ -205,12 +209,10 @@
    * Linux ACPI thermal zone information: thermal
    * check thresholds and for missing values: threshold
    * statistics from Intel turbo-capable processors: turbostat
-   * Tokyo Tyrant server statistics: tokyotyrant
    * external runtime interface: unixsock
    * system uptime: uptime
    * number of users logged into the system: users
    * set the hostname to an unique identifier: uuid
-   * Varnish HTTP accelerator daemon statistics: varnish
    * CPU, disk, network statistics of guest systems: virt
    * detailed virtual memory statistics: vmem
    * system resources used by Linux-VServers: vserver
@@ -219,6 +221,7 @@
    * send collected values to a web-server: write_http
    * send collected values to an Apache Kafka message broker: write_kafka
    * send collected values to the logging subsystem: write_log
+   * send collected values to MongoDB, a NoSQL database: write_mongodb
    * publish collected values as a Prometheus exporter: write_prometheus
    * send collected values to a Redis server: write_redis
    * send collected values to a Riemann server: write_riemann
@@ -253,9 +256,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: collectd
-Replaces: collectd (<< 4.6.1-1~)
 Description: statistics collection and monitoring daemon (utilities)
  collectd is a small daemon which collects system information periodically and
  provides mechanisms to monitor and store the values in a variety of ways.
  Since the daemon doesn't need to startup every time it wants to update the
- values it's very fast and easy on the system. Also, the statistics are very
