=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 include /usr/share/dpkg/architecture.mk
+include /usr/share/javahelper/java-vars.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
@@ -42,18 +43,11 @@
   LDFLAGS += -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
 
-# The archdir map has been copied from openjdk-6's debian/rules.
-JAVA_ARCHDIR = $(shell /usr/share/javahelper/java-arch.sh $(DEB_BUILD_ARCH))
-ifeq (,$(JAVA_ARCHDIR))
-	JAVA_ARCHDIR = $(DEB_BUILD_ARCH)
-endif
-JAVA_HOME = /usr/lib/jvm/default-java
-JAVA_LIBDIR = $(JAVA_HOME)/jre/lib/$(JAVA_ARCHDIR)/server
 
 JAVAC = $(JAVA_HOME)/bin/javac
 JAR = $(JAVA_HOME)/bin/jar
 JAVA_CPPFLAGS = -I$(JAVA_HOME)/include
-JAVA_LDFLAGS = -L$(JAVA_LIBDIR) -Wl,-rpath -Wl,$(JAVA_LIBDIR)
+JAVA_LDFLAGS = -L$(JVM_SERVER_DIR) -Wl,-rpath -Wl,$(JVM_SERVER_DIR)
 
 confflags = --host=$(DEB_HOST_GNU_TYPE) \
 			--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
@@ -65,6 +59,24 @@
 			--disable-silent-rules \
 			--enable-all-plugins
 
+# java doesn't link on i386. (see blocking bug for #1057712)
+ifeq ($(DEB_HOST_ARCH),i386)
+	confflags += \
+		--disable-java
+endif
+
+# no mongodb on loong64
+ifeq ($(DEB_HOST_ARCH),loong64)
+	confflags += \
+		--disable-write_mongodb
+endif
+
+# disable tokyotyrant (#980331)
+confflags += --disable-tokyotyrant
+
+# varnish is broken again.
+confflags += --disable-varnish
+
 # These plugins do not provide any functionality under Linux.
 # MacOS only (requires IO Kit):
 confflags += --disable-apple_sensors
@@ -73,20 +85,6 @@
 # Solaris only (requires devinfo and kstat)
 confflags += --disable-tape
 
-# libi2c is not current enough in stretch
-confflags += --disable-barometer
-
-# openipmis is too old on stretch
-confflags += --disable-ipmi
-
-# more missing dependencies on stretch
-confflags += --disable-amqp1
-confflags += --disable-write_mongodb
-confflags += --disable-write_stackdriver
-
-# --enable-intel_rdt doesn't work in buster
-confflags += --disable-intel_rdt
-
 # redfish.h is missing
 confflags += --disable-redfish
 
@@ -127,8 +125,12 @@
 
 
 # ganglia FTBS, disable it for now
-# see #964399
+# see #1000041
 confflags += --disable-gmond
+
+# hddtemp will be remove from debian
+# #1001954
+confflags += --disable-hddtemp
 
 # These plugins are Linux-specific.
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
@@ -151,22 +153,22 @@
 		--disable-vserver
 endif
 
-# These plugins art FreeBSD-specific.
+# These plugins are FreeBSD-specific.
 ifneq ($(DEB_HOST_ARCH_OS),kfreebsd)
 	confflags += \
 		--disable-pf \
-		--disable-ipstats
+		--disable-ipstats \
+		--disable-netstat_udp
 endif
 
 
 # intel only stuff
-# not available on stretch
-#ifeq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
+ifeq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
     confflags += --disable-capabilities
+endif
+ifeq (,$(filter $(DEB_HOST_ARCH),amd64))
     confflags += --disable-dpdk_telemetry
-#endif
-
-
+endif
 
 # This plugin is Solaris-specific.
 confflags += \
@@ -200,21 +202,48 @@
 	confflags += \
 		--disable-gmond \
 		--disable-virt \
-		--disable-tokyotyrant \
-		--disable-java
+		--disable-java \
+		--disable-mysql
+endif
+
+# Missing build-deps on sh4
+ifeq ($(DEB_HOST_ARCH),sh4)
+	confflags += \
+		--disable-virt
+endif
+
+# Missing build-deps on ia64
+ifeq ($(DEB_HOST_ARCH),ia64)
+	confflags += \
+		--disable-virt
+endif
+
+# Missing build-deps on alpha
+ifeq ($(DEB_HOST_ARCH),alpha)
+	confflags += \
+		--disable-virt
+endif
+
+# Missing build-deps on hurd
+ifeq ($(DEB_HOST_ARCH_OS),hurd)
+	confflags += \
+		--disable-barometer
 endif
 
 # These plugins are Intel-hardware specific.
 ifeq (,$(filter amd64 i386, $(DEB_HOST_ARCH)))
 	confflags += \
-		--disable-dpdkevents \
-		--disable-dpdkstat \
 		--disable-intel_pmu \
 		--disable-intel_rdt \
 		--disable-mcelog \
 		--disable-mic \
 		--disable-turbostat
 endif
+ifeq (,$(filter amd64, $(DEB_HOST_ARCH)))
+	confflags += \
+		--disable-dpdkevents \
+		--disable-dpdkstat
+endif
 
 # the pcie_errors plugin does not work on all kinds of hardware
 ifeq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el, $(DEB_HOST_ARCH)))
@@ -223,7 +252,7 @@
 endif
 
 # This plugin is x86 and arm specific.
-ifeq (,$(filter amd64 arm64 armhf i386, $(DEB_HOST_ARCH)))
+ifeq (,$(filter amd64 arm64 armhf, $(DEB_HOST_ARCH)))
 	confflags += \
 		--disable-xencpu
 endif
@@ -241,68 +270,44 @@
 endif
 
 # gRPC is only available on x86, arm, ppc.
-ifeq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x, $(DEB_HOST_ARCH)))
+ifeq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x loong64 powerpc ppc64, $(DEB_HOST_ARCH)))
 	confflags += --disable-grpc
 endif
 
-build: build-arch build-indep
-build-arch: build-stamp
-build-indep: build-stamp
-
-build-stamp:
-	dh_testdir
-	
-	dh_autoreconf
-	
+
+%:
+	dh $@
+
+override_dh_auto_configure:
 	CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
 	JAVAC="$(JAVAC)" JAR="$(JAR)" JAVA_CPPFLAGS="$(JAVA_CPPFLAGS)" \
 	JAVA_LDFLAGS="$(JAVA_LDFLAGS)" \
 	./configure $(confflags) \
-		|| ( status=$$?; cat config.log; exit $$status )
-
-	$(MAKE)
+		|| ( status=$$?; \
+				echo -e '\n\n\n\n\n\n'; \
+				printf '%.0s-' {1..100}; \
+				echo;  \
+				dpkg-architecture -l; \
+				echo -e '\n\n\n\n\n\n'; \
+				printf '%.0s-' {1..100}; \
+				echo; \
+				cat config.log; \
+				exit $$status )
+
+override_dh_auto_test:
 	dh_auto_test
 	perl ./debian/bin/check_plugins.pl
-	
-	touch build-stamp
-
-clean:
-	dh_testdir
-	dh_testroot
-	rm -f build-stamp
-	
-	[ ! -f Makefile ] || $(MAKE) distclean
-	
-	rm -f debian/README.Debian.plugins
-	rm -f src/*.1 src/*.5
-	
-	rm -rf debian/pkgconfig
-	
-	dh_autoreconf_clean
+
+
+override_dh_clean:
 	dh_clean
 	debconf-updatepo
 
-install-indep:
-	dh_testdir
-	dh_testroot
-	dh_prep
-	dh_installdirs -i
-	dh_install -i
+override_dh_install:
+	rm -f debian/tmp/usr/lib/collectd/*.la
+	rm -f debian/tmp/usr/lib/libcollectdclient.la
+	rm -f debian/tmp/etc/collectd.conf
+
 	
-	# update include path for collectd header files
-	(	set -e; \
-		cd $(CURDIR)/debian/collectd-dev/usr/include/collectd/; \
-		for lib in $$(find . -type f -name '*.h'); do \
-			libname=$$(basename $$lib); \
-			fullpath=$$(echo $$lib | sed -r -e 's,^\./,collectd/,'); \
-			for dir in $$(find . -mindepth 1 -type d); do \
-				sed -r -i -e "s,(include\s+)\".*\<$$libname\",\1\"$$fullpath\"," $$dir/*.h; \
-			done; \
-		done )
-
-install-arch: build
-	dh_testdir
-	dh_testroot
-	dh_prep
-	dh_installdirs -a
-	
+	set -e ;\
+		find src  -path src/libcollectdclient -prune -o -path src/liboconfig -prune -o -name '*.h'  -print | while read i; do \
