=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%collectd-$1$2%" \
    https://github.com/collectd/collectd/tags \
    (?:.*?/)collectd-v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
