## collectd transmission-v2.0

=== requirements.txt ===
pbr
transmissionrpc>=0.8
